#
# spec file for package imlib2 (Version 1.3.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel giflib giflib-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel libltdl-3 libmudflap42 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           imlib2
BuildRequires:  freetype2-devel giflib-devel libpng-devel libtiff-devel xorg-x11-devel
Summary:        Imlib 2, the Successor to Imlib
Version:        1.3.0
Release:        66.5
License:        BSD 3-Clause
Group:          Development/Libraries/X11
Source:         %name-%version.tar.gz
Patch0:         imlib2-1.2.1-fixes.patch
Patch1:         imlib2-X11R6-xorg.patch
Patch2:         imlib2-1.2.1-more-fixes.patch
Patch3:         imlib2-loader_jpeg.patch
Patch4:         imlib2-tiffix.patch
Patch5:         happy-abuild.diff
Patch6:         imlib2-1.3.0-CVE-2008-2426.patch
Patch7:         imlib2-loader_xpm-CVE-2008-5187.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.enlightenment.org/Libraries/Imlib2/
Suggests:       imlib2-loaders

%description
Imlib 2 is the successor to Imlib. It is not just a newer version--it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems because they are effectively different
libraries. However, they have very similar functionality.



Authors:
--------
    Rasterman <raster@rasterman.com>

%debug_package
%package devel
License:        BSD 3-Clause
Summary:        Imlib 2 - development libraries
Group:          Development/Libraries/X11
Requires:       %{name} = %{version} glibc-devel xorg-x11-devel freetype2-devel zlib-devel libpng-devel

%description devel
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.

This package contains the development libraries.



Authors:
--------
    Rasterman <raster@rasterman.com>

%package filters
License:        BSD 3-Clause
Summary:        Imlib 2 - plugin filters
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}

%description filters
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.

This package has the basic set of plugin filters that come with Imlib2.



Authors:
--------
    Rasterman <raster@rasterman.com>

%package loaders
License:        BSD 3-Clause
Summary:        Imlib 2 - image loaders
Group:          Development/Libraries/X11
Provides:       imlib2-loader_jpeg imlib2-loader_png imlib2-loader_argb imlib2-loader_tiff imlib2-loader_gif imlib2-loader_zlib imlib2-loader_bz2 imlib2-loader_pnm imlib2-loader_bmp imlib2-loader_xpm imlib2-loader_tga

%description loaders
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.

This package contains image loaders for: argb, bmp, gif, jpeg, png,
pnm, tga, tiff, xpm



Authors:
--------
    Rasterman <raster@rasterman.com>

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7

%build
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
export CFLAGS="$RPM_OPT_FLAGS -DRGB_TXT_PATH=/usr/share/X11/rgb.txt"
autoreconf --force --install
%configure --prefix=%{_prefix} \
%ifarch %ix86
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--with-ttf=/usr \
	--enable-shared \
	--disable-static

%install
make DESTDIR=$RPM_BUILD_ROOT install
pushd $RPM_BUILD_ROOT%_bindir/
 for i in *imlib2-config ; do
  test "$i" != "imlib2-config" || continue
  ln -s $i imlib2-config
 done
popd
# find $RPM_BUILD_ROOT -name \*.la | xargs perl -pi -e "s@$RPM_BUILD_DIR@.@g"
# find $RPM_BUILD_ROOT/%{_libdir}/imlib2_loaders -name \*.la | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html 
%doc doc/imlib2.gif doc/blank.gif
%_libdir/lib*.so.*
%_bindir/imlib2_bumpmap
%_bindir/imlib2_colorspace
%_bindir/imlib2_conv
%_bindir/imlib2_poly
%_bindir/imlib2_show
%_bindir/imlib2_test
%_bindir/imlib2_view
%_bindir/imlib2_grab
%attr(755,root,root) %dir %{_prefix}/share/imlib2
%{_prefix}/share/imlib2/*

%files devel
%defattr(-,root,root,0755)
%_libdir/*.la
%_libdir/pkgconfig/imlib2.pc
%_includedir/*
%_libdir/lib*.so
%_bindir/imlib2-config

%files filters
%attr(755,root,root) %dir %{_libdir}/imlib2
%attr(755,root,root) %{_libdir}/imlib2/filters

%files loaders
%attr(755,root,root) %dir %{_libdir}/imlib2
%attr(755,root,root) %{_libdir}/imlib2/loaders

%changelog
* Fri Nov 21 2008 - meissner@suse.de
- fixed a pointer arithmetic problem in the XPM loader
  CVE-2008-5187/bnc#447093
* Mon Sep 01 2008 - meissner@suse.de
- fixed a PNM NULL ptr derefence (ptr -> iptr) bnc#394703
- increased "tok" to match 256 byte buffer read bnc#394703
* Mon Jun 02 2008 - mweckbecker@suse.de
- Fix xpm buffer overflow (bnc#394703, CVE-2008-2426)
* Tue Aug 21 2007 - meissner@suse.de
- moved provides to the right subpackage.
- suggests: imlib2-loaders in the mainpackage. #299389
* Sun Jul 22 2007 - aj@suse.de
- Reduce BuildRequires.
* Mon Dec 11 2006 - jw@suse.de
- uninitialized variable bug
  patched and sent upstream.
* Tue Nov 14 2006 - meissner@suse.de
- Removed the incorrect loader_jpeg hunk of fix
  for #214313. #220671
* Wed Nov 08 2006 - meissner@suse.de
- Upgraded to 1.3.0:
  - several bug fixes
  - lots of symbols marked as hidden
* Wed Nov 08 2006 - meissner@suse.de
- Added an additional JPEG fix.
- Also added a fix for TIFF images on 64bit systems.
* Wed Oct 25 2006 - meissner@suse.de
- fixed various buffer and integer overflows
  in various loaders and decoders. #214313
* Wed Sep 20 2006 - schwab@suse.de
- Use AM_PROG_AS.
* Fri Aug 11 2006 - jw@suse.de
- RGB_TXT_PATH added to loader_xpm.c
  defined now as /usr/share/X11/rgb.txt
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - jw@suse.de
- $RPM_OPT_FLAGS + -fstack-protector added.
* Mon Jan 02 2006 - aj@suse.de
- Fix filelist.
* Thu Dec 22 2005 - jw@suse.de
- upgraded to 1.2.1, removed upstreamed patches
* Wed Sep 21 2005 - ro@suse.de
- only remove .la files for plugins
- add requires to devel package
* Tue Sep 20 2005 - jw@suse.de
- offending \*.la files removed.
* Tue Mar 08 2005 - jw@suse.de
- Provides for all the loaders added
  to satisfy building e.g. eterm [#64296]
* Tue Feb 01 2005 - coolo@suse.de
- put devel files in -devel subpackage
* Wed Jan 05 2005 - meissner@suse.de
- Added missing security fixes to BMP and XPM loader #49562.
- Added libstdc++-devel and libtiff-devel to neededforbuild.
* Thu Aug 26 2004 - meissner@suse.de
- Upgraded to 1.1.1.
- Fixed buffer overflow in BMP loader.
* Sun Jan 18 2004 - meissner@suse.de
- fixed "label at end of compound statement" errors in gcc 3.4
* Mon Jan 12 2004 - adrian@suse.de
- revert last change (%%run_ldconfig already exist before)
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Sat Aug 16 2003 - mmj@suse.de
- Update to 1.1.0
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directories to filelist
* Wed May 28 2003 - ro@suse.de
- fix build even without archprefix
* Fri Mar 14 2003 - mmj@suse.de
- Initial package of imlib2-1.0.6
